Entrypoints
OpenAPI V2
Retrieve the list of taxonomy entrypoints available on the SemansysNext platform.
Please enter token
Name of the application to integrates with API’s to Semansys.Next.
Contract owner (organization) name that have embedded the API’s.
Business Identification Number (BIN) of the contract owner (organization) to embeds the API’s.
Customer (organization) name (ie. accounting firm, intermediary, ....).
Business Identification Number (BIN) of the customer.
Client (organization) name of the customer of the accounting firm, intermediary...
Business Identification Number (BIN) of the client.
OK
Bad Request
Unauthorized
GET /taxonomy/entrypoints HTTP/1.1
Host:
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-version: text
Accept: */*
{
"entrypoints": [
{
"id": "063be713-fdcd-4681-a955-cb3d9028b18f",
"uri": "http://www.nltaxonomie.nl/nt14/bzk/20191211/entrypoints/bzk-rpt-wnt-verantwoordingsmodel-2019.xsd",
"name": [
{
"lang": "nl",
"name": "BZK Verantwoordingsmodel 2019"
}
],
"description": [
{
"lang": "nl",
"description": "Verantwoordingsmodel 2019"
}
],
"version": "20191211",
"language": [
"nl"
],
"country": "NL",
"publicationDate": "2019-11-07T00:00:00Z",
"packageIdentifier": "nt14",
"publisherUrl": "http://www.nltaxonomie.nl",
"packageName": [
{
"lang": "nl",
"name": "BZK Verantwoordingsmodel 2019"
}
],
"packageDescription": [
{
"lang": "nl",
"description": "Verantwoordingsmodel 2019"
}
],
"packageVersion": "20191107",
"license": {
"href": "text",
"name": "text"
},
"publisher": [
"SBR Programma"
],
"type": "public",
"applyRewriteRules": true,
"rewriteUri": "text",
"hasTables": true
}
]
}Retrieve based on the taxonomy ID the entrypoint details and meta data related to it.
Please enter token
The taxonomy entry point id (UUID).
Name of the application to integrates with API’s to Semansys.Next.
Contract owner (organization) name that have embedded the API’s.
Business Identification Number (BIN) of the contract owner (organization) to embeds the API’s.
Customer (organization) name (ie. accounting firm, intermediary, ....).
Business Identification Number (BIN) of the customer.
Client (organization) name of the customer of the accounting firm, intermediary...
Business Identification Number (BIN) of the client.
OK
Bad Request
Unauthorized
GET /taxonomy/entrypoints/{id} HTTP/1.1
Host:
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-version: text
Accept: */*
{
"id": "063be713-fdcd-4681-a955-cb3d9028b18f",
"uri": "http://www.nltaxonomie.nl/nt14/bzk/20191211/entrypoints/bzk-rpt-wnt-verantwoordingsmodel-2019.xsd",
"name": [
{
"lang": "nl",
"name": "BZK Verantwoordingsmodel 2019"
}
],
"description": [
{
"lang": "nl",
"description": "Verantwoordingsmodel 2019"
}
],
"version": "20191211",
"language": [
"nl"
],
"country": "NL",
"publicationDate": "2019-11-07T00:00:00Z",
"packageIdentifier": "nt14",
"publisherUrl": "http://www.nltaxonomie.nl",
"packageName": [
{
"lang": "nl",
"name": "BZK Verantwoordingsmodel 2019"
}
],
"packageDescription": [
{
"lang": "nl",
"description": "Verantwoordingsmodel 2019"
}
],
"packageVersion": "20191107",
"license": {
"href": "text",
"name": "text"
},
"publisher": [
"SBR Programma"
],
"type": "public",
"applyRewriteRules": true,
"rewriteUri": "text",
"hasTables": true
}Was this helpful?